# PyFlexAPI

## Descrição
PyFlexAPI é uma biblioteca Python desenvolvida para simplificar e agilizar as requisições comuns que encontramos em nosso trabalho diário. Em vez de repetir o mesmo código várias vezes, você pode simplesmente importar esta biblioteca. Alguns exemplos de códigos repetitivos incluem as requisições para a VTEX e conexões com o DynamoDB. Esta biblioteca visa oferecer uma solução eficiente e fácil de usar para lidar com esses tipos de operações, permitindo que você se concentre mais nas tarefas principais do seu projeto.

PyFlexAPI oferece tanto uma versão síncrona quanto uma versão assíncrona para atender às necessidades de diferentes projetos e cenários de uso. Isso proporciona flexibilidade para escolher o método de requisição mais adequado para o seu caso específico, seja ele baseado em eventos ou de forma linear.

## Instalação
Você pode instalar a biblioteca usando pip:

```bash
`pip install flexapi`
```

## Requisitos

-   Python 3.7 ou superior
-   Bibliotecas necessárias são instaladas automaticamente ao usar pip para instalar `flexapi-library`

## Contribuição

Contribuições são bem-vindas! Se você encontrar um bug ou tiver alguma sugestão de melhoria, sinta-se à vontade para abrir uma issue ou enviar um pull request.

## Licença

Este projeto está licenciado sob a MIT License.
